Index: trunk/SophyaProg/PMixer/Makefile
===================================================================
--- trunk/SophyaProg/PMixer/Makefile	(revision 3076)
+++ trunk/SophyaProg/PMixer/Makefile	(revision 3405)
@@ -39,60 +39,29 @@
 	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)Sph2Sph.o $(SOPHYAEXTSLBLIST)
  
-$(SOPHYAOBJP)easyTest.o: easyTest.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)blackbody.h \
-  $(SOPHYAINCP)radspec.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)specresp.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)convtools.h \
-  $(SOPHYAINCP)radspecvector.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)specrespvector.h \
-  $(SOPHYAINCP)squarefilt.h \
-  $(SOPHYAINCP)gaussfilt.h \
-  $(SOPHYAINCP)trianglefilt.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  easyTest.cc
- 
-$(SOPHYAOBJP)extractRS.o: extractRS.cc \
-  $(SOPHYAINCP)sopnamsp.h pmixer.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)fioarr.h \
+$(SOPHYAOBJP)Sph2Sph.o: Sph2Sph.cc $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)longlat.h \
@@ -105,4 +74,5 @@
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)datacards.h \
   $(SOPHYAINCP)ntuple.h \
@@ -114,4 +84,5 @@
   $(SOPHYAINCP)spherepos.h \
   $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)datatype.h \
   $(SOPHYAINCP)spherehealpix.h \
@@ -125,4 +96,5 @@
   $(SOPHYAINCP)fitstarray.h \
   $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)radspecvector.h \
   $(SOPHYAINCP)radspec.h \
@@ -138,29 +110,64 @@
   $(SOPHYAINCP)bruit.h \
   $(SOPHYAINCP)mapoperation.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  extractRS.cc
- 
-$(SOPHYAOBJP)skymixer.o: skymixer.cc \
-  $(SOPHYAINCP)sopnamsp.h pmixer.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)fioarr.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  Sph2Sph.cc
+ 
+$(SOPHYAOBJP)easyTest.o: easyTest.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)blackbody.h \
+  $(SOPHYAINCP)radspec.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)convtools.h \
+  $(SOPHYAINCP)radspecvector.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)specrespvector.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)squarefilt.h \
+  $(SOPHYAINCP)gaussfilt.h \
+  $(SOPHYAINCP)trianglefilt.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  easyTest.cc
+ 
+$(SOPHYAOBJP)extractRS.o: extractRS.cc $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)longlat.h \
@@ -173,4 +180,5 @@
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)datacards.h \
   $(SOPHYAINCP)ntuple.h \
@@ -182,4 +190,5 @@
   $(SOPHYAINCP)spherepos.h \
   $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)datatype.h \
   $(SOPHYAINCP)spherehealpix.h \
@@ -193,4 +202,5 @@
   $(SOPHYAINCP)fitstarray.h \
   $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)radspecvector.h \
   $(SOPHYAINCP)radspec.h \
@@ -206,29 +216,31 @@
   $(SOPHYAINCP)bruit.h \
   $(SOPHYAINCP)mapoperation.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  skymixer.cc
- 
-$(SOPHYAOBJP)Sph2Sph.o: Sph2Sph.cc \
-  $(SOPHYAINCP)sopnamsp.h pmixer.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)fioarr.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  extractRS.cc
+ 
+$(SOPHYAOBJP)skymixer.o: skymixer.cc $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)longlat.h \
@@ -241,4 +253,5 @@
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)datacards.h \
   $(SOPHYAINCP)ntuple.h \
@@ -250,4 +263,5 @@
   $(SOPHYAINCP)spherepos.h \
   $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)datatype.h \
   $(SOPHYAINCP)spherehealpix.h \
@@ -261,4 +275,5 @@
   $(SOPHYAINCP)fitstarray.h \
   $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)radspecvector.h \
   $(SOPHYAINCP)radspec.h \
@@ -274,29 +289,31 @@
   $(SOPHYAINCP)bruit.h \
   $(SOPHYAINCP)mapoperation.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  Sph2Sph.cc
- 
-$(SOPHYAOBJP)tgrsr.o: tgrsr.cc \
-  $(SOPHYAINCP)sopnamsp.h pmixer.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)fioarr.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  skymixer.cc
+ 
+$(SOPHYAOBJP)tgrsr.o: tgrsr.cc $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)longlat.h \
@@ -309,4 +326,5 @@
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)datacards.h \
   $(SOPHYAINCP)ntuple.h \
@@ -318,4 +336,5 @@
   $(SOPHYAINCP)spherepos.h \
   $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)datatype.h \
   $(SOPHYAINCP)spherehealpix.h \
@@ -329,4 +348,5 @@
   $(SOPHYAINCP)fitstarray.h \
   $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)radspecvector.h \
   $(SOPHYAINCP)radspec.h \
@@ -344,27 +364,29 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tgrsr.cc
  
-$(SOPHYAOBJP)tgsky.o: tgsky.cc \
-  $(SOPHYAINCP)sopnamsp.h pmixer.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)fioarr.h \
+$(SOPHYAOBJP)tgsky.o: tgsky.cc $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)longlat.h \
@@ -377,4 +399,5 @@
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)datacards.h \
   $(SOPHYAINCP)ntuple.h \
@@ -386,4 +409,5 @@
   $(SOPHYAINCP)spherepos.h \
   $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)datatype.h \
   $(SOPHYAINCP)spherehealpix.h \
@@ -397,4 +421,5 @@
   $(SOPHYAINCP)fitstarray.h \
   $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)radspecvector.h \
   $(SOPHYAINCP)radspec.h \
Index: trunk/SophyaProg/PMixer/smakefile
===================================================================
--- trunk/SophyaProg/PMixer/smakefile	(revision 3076)
+++ trunk/SophyaProg/PMixer/smakefile	(revision 3405)
@@ -39,60 +39,29 @@
 	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)Sph2Sph.o $(SOPHYAEXTSLBLIST)
  
-$(SOPHYAOBJP)easyTest.o: easyTest.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)blackbody.h \
-  $(SOPHYAINCP)radspec.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)specresp.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)convtools.h \
-  $(SOPHYAINCP)radspecvector.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)specrespvector.h \
-  $(SOPHYAINCP)squarefilt.h \
-  $(SOPHYAINCP)gaussfilt.h \
-  $(SOPHYAINCP)trianglefilt.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  easyTest.cc
- 
-$(SOPHYAOBJP)extractRS.o: extractRS.cc \
-  $(SOPHYAINCP)sopnamsp.h pmixer.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)fioarr.h \
+$(SOPHYAOBJP)Sph2Sph.o: Sph2Sph.cc $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)longlat.h \
@@ -105,4 +74,5 @@
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)datacards.h \
   $(SOPHYAINCP)ntuple.h \
@@ -114,4 +84,5 @@
   $(SOPHYAINCP)spherepos.h \
   $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)datatype.h \
   $(SOPHYAINCP)spherehealpix.h \
@@ -125,4 +96,5 @@
   $(SOPHYAINCP)fitstarray.h \
   $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)radspecvector.h \
   $(SOPHYAINCP)radspec.h \
@@ -138,29 +110,64 @@
   $(SOPHYAINCP)bruit.h \
   $(SOPHYAINCP)mapoperation.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  extractRS.cc
- 
-$(SOPHYAOBJP)skymixer.o: skymixer.cc \
-  $(SOPHYAINCP)sopnamsp.h pmixer.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)fioarr.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  Sph2Sph.cc
+ 
+$(SOPHYAOBJP)easyTest.o: easyTest.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)blackbody.h \
+  $(SOPHYAINCP)radspec.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)convtools.h \
+  $(SOPHYAINCP)radspecvector.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)specrespvector.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)squarefilt.h \
+  $(SOPHYAINCP)gaussfilt.h \
+  $(SOPHYAINCP)trianglefilt.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  easyTest.cc
+ 
+$(SOPHYAOBJP)extractRS.o: extractRS.cc $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)longlat.h \
@@ -173,4 +180,5 @@
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)datacards.h \
   $(SOPHYAINCP)ntuple.h \
@@ -182,4 +190,5 @@
   $(SOPHYAINCP)spherepos.h \
   $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)datatype.h \
   $(SOPHYAINCP)spherehealpix.h \
@@ -193,4 +202,5 @@
   $(SOPHYAINCP)fitstarray.h \
   $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)radspecvector.h \
   $(SOPHYAINCP)radspec.h \
@@ -206,29 +216,31 @@
   $(SOPHYAINCP)bruit.h \
   $(SOPHYAINCP)mapoperation.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  skymixer.cc
- 
-$(SOPHYAOBJP)Sph2Sph.o: Sph2Sph.cc \
-  $(SOPHYAINCP)sopnamsp.h pmixer.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)fioarr.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  extractRS.cc
+ 
+$(SOPHYAOBJP)skymixer.o: skymixer.cc $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)longlat.h \
@@ -241,4 +253,5 @@
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)datacards.h \
   $(SOPHYAINCP)ntuple.h \
@@ -250,4 +263,5 @@
   $(SOPHYAINCP)spherepos.h \
   $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)datatype.h \
   $(SOPHYAINCP)spherehealpix.h \
@@ -261,4 +275,5 @@
   $(SOPHYAINCP)fitstarray.h \
   $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)radspecvector.h \
   $(SOPHYAINCP)radspec.h \
@@ -274,29 +289,31 @@
   $(SOPHYAINCP)bruit.h \
   $(SOPHYAINCP)mapoperation.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  Sph2Sph.cc
- 
-$(SOPHYAOBJP)tgrsr.o: tgrsr.cc \
-  $(SOPHYAINCP)sopnamsp.h pmixer.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)fioarr.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  skymixer.cc
+ 
+$(SOPHYAOBJP)tgrsr.o: tgrsr.cc $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)longlat.h \
@@ -309,4 +326,5 @@
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)datacards.h \
   $(SOPHYAINCP)ntuple.h \
@@ -318,4 +336,5 @@
   $(SOPHYAINCP)spherepos.h \
   $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)datatype.h \
   $(SOPHYAINCP)spherehealpix.h \
@@ -329,4 +348,5 @@
   $(SOPHYAINCP)fitstarray.h \
   $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)radspecvector.h \
   $(SOPHYAINCP)radspec.h \
@@ -344,27 +364,29 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tgrsr.cc
  
-$(SOPHYAOBJP)tgsky.o: tgsky.cc \
-  $(SOPHYAINCP)sopnamsp.h pmixer.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)fioarr.h \
+$(SOPHYAOBJP)tgsky.o: tgsky.cc $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)longlat.h \
@@ -377,4 +399,5 @@
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)datacards.h \
   $(SOPHYAINCP)ntuple.h \
@@ -386,4 +409,5 @@
   $(SOPHYAINCP)spherepos.h \
   $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)datatype.h \
   $(SOPHYAINCP)spherehealpix.h \
@@ -397,4 +421,5 @@
   $(SOPHYAINCP)fitstarray.h \
   $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)radspecvector.h \
   $(SOPHYAINCP)radspec.h \
